Bug 72004 - Improper rotating of logs
Improper rotating of logs
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: mailman (Show other bugs)
7.3
i386 Linux
medium Severity high
: ---
: ---
Assigned To: John Dennis
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-08-20 13:17 EDT by yves
Modified: 2007-04-18 12:45 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-04-23 14:55:35 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description yves 2002-08-20 13:17:17 EDT
Description of Problem:

There is an error in /etc/logrotate.d/mailman

/var/log/mailman/* {
    missingok
}

The wildcard causes logrotate to rotate rotated logs resulting in:

error
error.1
error.1.1
error.1.1.1
error.1.1.1.1
error.1.1.1.1.1
error.1.1.1.1.1.1
error.1.1.1.1.1.1.1
error.1.1.1.1.1.1.1.1
error.1.1.1.1.1.1.1.1.1
error.1.1.1.1.1.1.1.1.1.1
error.1.1.1.1.1.1.1.1.1.1.1
....

Version-Release number of selected component (if applicable):

mailman-2.0.11-1

How Reproducible:

Always

Steps to Reproduce:
1. Has happened on two systems where mailman is not in use...

Actual Results:

As you can see above... this will ultimately cause the filesystem to run out of
inodes if left alone

Expected Results:

Normal rotation of the logs, for example:

error
error.1
error.2
error.3

Additional Information:
	
This package is not the only one affected, here's the results of:

grep '*' /etc/logrotate.d/*

/etc/logrotate.d/mailman:/var/log/mailman/* {
/etc/logrotate.d/mgetty:/var/log/mgetty.log.tty* {
/etc/logrotate.d/samba:/var/log/samba/*.log {
/etc/logrotate.d/vgetty:/var/log/vgetty.log.tty* {
Comment 1 R P Herrold 2002-09-12 16:30:53 EDT
This is a re-run of:
  https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=68096
and https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=68422
 -- it also existed in samba a couple of years ago -- proper fix locale is to 
have logrotate not rotate anything ending in [0-9z]$ -- I will RFE this in a
moment against logrotate

It has DoS overtones, as do the others, in depleting inodes on the host in
question

Note You need to log in before you can comment on or make changes to this bug.